Bug 215164 - FC6 X server startup fails during installation
FC6 X server startup fails during installation
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
6
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Adam Jackson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-11 14:09 EST by Marko Asplund
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-26 14:40:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
X server log file (52.17 KB, text/plain)
2006-11-11 14:09 EST, Marko Asplund
no flags Details

  None (edit)
Description Marko Asplund 2006-11-11 14:09:01 EST
Description of problem:

The FC6 Graphical installer fails to start due to a X server failure. Apparently
X is unable to find a usable resolution on this machine. I'm trying to install
on a Dell Latitude D620. Please see the attached X server log file for more
information.

Version-Release number of selected component (if applicable):

xorg-x11-server 1.1.1-47.fc6

How reproducible:

Always

Steps to Reproduce:
1. boot FC6 CD 1
2.
3.
  
Actual results:

Graphical installer fails to start

Expected results:

Installer should start

Additional info:
Comment 1 Marko Asplund 2006-11-11 14:09:04 EST
Created attachment 140969 [details]
X server log file
Comment 2 Matěj Cepl 2006-12-12 11:26:12 EST
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) to the bug report
as individual uncompressed file attachment using the bugzilla file attachment
link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card. Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 3 Marko Asplund 2006-12-14 15:04:25 EST
unfortunately, i don't have neither the FC6 installation nor a free partition
for a reinstallation anymore so i can't provide you with the requested info.

i don't know if this helps but i did notice exactly the same symptoms while
trying to install Ubuntu 6.10 (it seems to have the same version of X11 as FC6).
i filed a bug report with Ubuntu bug tracker (https://launchpad.net/bugs/62002)
for this and that report also includes the X server config file.

also, i was able to install openSUSE 10.2 on the machine without problems. that
distribution uses xorg-x11 v7.2.
Comment 4 Gerhard Lehmann 2006-12-16 17:28:58 EST
same here: geforce 6600 gs card detected, result is a messy screen which is
unreadable. Same result with ubuntu, centos 4.4 installs without problems, same
is valid for suse 10.1. 
This card is an AGP-card on an AMD X2 3800+ with VIA chipset.
Comment 5 Matěj Cepl 2006-12-19 11:14:07 EST
concerning comment 3 -- sorry, of course, it was silly to ask you for stuff from
FC6, when you cannot install it.
Comment 6 Adam Jackson 2007-05-26 14:40:33 EDT
There is unfortunately nothing to be done about the i810 driver not working on
that hardware.  The video BIOS lists no modes for anything above 8bpp, so
there's just nothing we can do.

F7 and later should use the new 'intel' driver on that chipset, so this problem
should not manifest there.  Please try F7, and file a new bug if X fails to load
there.

Thanks for the report!

Note You need to log in before you can comment on or make changes to this bug.